            #GIT_CMT=d2613e71de487c2fdc27032d04b9682224ec617d
%define nodejs_version         16
%define typenode_version       16.11.11
%define  instDir           %(dirname `npm root -g`)


Name:       types-node		
Version:	%{typenode_version}
Release:    1.0.1.el9
Group:	    Language	
Summary:    Type definitions for Node.js (http://nodejs.org/).
License:	MIT 
URL:		https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/node/v10
Source0:	%{name}-%{version}.tgz
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
Requires:	nodejs >= %{nodejs_version} 

%description
This package contains type definitions for Node.js (http://nodejs.org/)

%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
mv package.json package.json.orig
npm init -y
npm install @types/node@%{typenode_version}

%check 
#gulp runtests

%install
install_dir=%{buildroot}%{instDir}/
mkdir -p ${install_dir}
cp node_modules/  %{buildroot}%{instDir}/ -rf

%files  
%{instDir}/node_modules/*
%exclude %{instDir}/node_modules/.package-lock.json

%changelog
* Mon Jul 11 2022 Alan Steinberg <alan.steinberg@oracle.com> -16.11.11-1.0.1
- Explicily exclude .package-lock.json from installed files.

* Wed Sep 08 2021 Qing Lin <qing.lin@oracle.com> -14.14.43
- update to 14.14.43. 

* Mon Oct 12 2020 Qing Lin <qing.lin@oracle.com> -10.17.0
- Initial build. 

